%global pkg_name pyqt6-sip
%global pypi_name PyQt6_sip
%global _sip_api_major 13
%global _sip_api_minor 8
%global _sip_api %{_sip_api_major}.%{_sip_api_minor}

Name:           python-%{pkg_name}
Version:        13.8.0
Release:        %mkrel 1
Summary:        The sip module support for PyQt6
Group:          Development/Python
License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/sip/
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist wheel}

%description
The sip extension module provides support for the PyQt6 package.

%package -n     python3-%{pkg_name}
Summary:        The sip module support for PyQt6
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pkg_name}}
Provides:       python3-PyQt6-sip-api(%{_sip_api_major}) = %{_sip_api}
Provides:       python3-PyQt6-sip-api(%{_sip_api_major})%{?_isa} = %{_sip_api}

%description -n python3-%{pkg_name}
The sip extension module provides support for the PyQt6 package.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files PyQt6

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README


%changelog
* Tue Jul 16 2024 daviddavid <daviddavid> 13.8.0-1.mga10
+ Revision: 2081666
- new version: 13.8.0

* Wed Jan 24 2024 daviddavid <daviddavid> 13.7.0-1.mga10
+ Revision: 2034090
- new version: 13.7.0

* Fri Dec 08 2023 wally <wally> 13.6.0-2.mga10
+ Revision: 2015831
- rebuild for py3.12

* Wed Oct 25 2023 daviddavid <daviddavid> 13.6.0-1.mga10
+ Revision: 2001585
- new version: 13.6.0
- switch to pyproject

* Tue Aug 30 2022 wally <wally> 13.4.0-1.mga9
+ Revision: 1882075
- fork as python-pyqt6-sip
- new version 13.4.0

* Tue Aug 30 2022 wally <wally> 1:12.11.0-1.mga9
+ Revision: 1882041
- new version 12.11.0

* Wed May 18 2022 wally <wally> 1:12.10.1-1.mga9
+ Revision: 1858629
- new version 12.10.1

* Sat Mar 19 2022 umeabot <umeabot> 1:12.9.1-2.mga9
+ Revision: 1799313
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 tv <tv> 1:12.9.1-1.mga9
+ Revision: 1784820
- Add epoch…
- imported package python-pyqt5-sip

